at.chipkarte.client.muhi.soap

## Class Meldungsuebersicht

- Object
- - at.chipkarte.client.muhi.soap.Meldungsuebersicht

-     public class Meldungsuebersicht
      extends Object

  Überblicksdaten einer Meldung zur Anzeige bei Auflistung eines Suchergebnisses.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Meldungsuebersicht()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErstellungszeitpunkt()` Zeitpunkt der Erstellung.
    `long` | `getMeldungsId()` Eindeutige ID der Meldung.
    `String` | `getTyp()` Typ der Meldung.
    `String` | `getVoraussichtlicherGeburtstermin()` Voraussichtlicher Geburtstermin.
    `String` | `getVorname()` Vorname der Patientin.
    `String` | `getVsnr()` Versicherungsnummer der Patientin.
    `String` | `getZuname()` Zuname / Familienname der Patientin.
    `boolean` | `isStorniert()` Gibt an, ob es sich um eine stornierte Meldung handelt.
    `void` | `setErstellungszeitpunkt(String erstellungszeitpunkt)`
    `void` | `setMeldungsId(long meldungsId)`
    `void` | `setStorniert(boolean storniert)`
    `void` | `setTyp(String typ)`
    `void` | `setVoraussichtlicherGeburtstermin(String voraussichtlicherGeburtstermin)`
    `void` | `setVorname(String vorname)`
    `void` | `setVsnr(String vsnr)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Meldungsuebersicht

          public Meldungsuebersicht()

  - ### Method Detail

    - #### getMeldungsId

          public long getMeldungsId()

      Eindeutige ID der Meldung.
      Angabe: Muss.
      Returns:

    - #### setMeldungsId

          public void setMeldungsId(long meldungsId)

    - #### getErstellungszeitpunkt

          public String getErstellungszeitpunkt()

      Zeitpunkt der Erstellung.
      Angabe: Muss.
      Format: TT.MM.JJJJ hh:mm:ss
      Returns:

    - #### setErstellungszeitpunkt

          public void setErstellungszeitpunkt(String erstellungszeitpunkt)

    - #### getVoraussichtlicherGeburtstermin

          public String getVoraussichtlicherGeburtstermin()

      Voraussichtlicher Geburtstermin.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:

    - #### setVoraussichtlicherGeburtstermin

          public void setVoraussichtlicherGeburtstermin(String voraussichtlicherGeburtstermin)

    - #### getVsnr

          public String getVsnr()

      Versicherungsnummer der Patientin.
      Format: 10-stellig
      Angabe: Muss.
      Returns:
        vsnr

    - #### setVsnr

          public void setVsnr(String vsnr)

    - #### getVorname

          public String getVorname()

      Vorname der Patientin.
      Format: maximal 70-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Vorname

    - #### setVorname

          public void setVorname(String vorname)

    - #### getZuname

          public String getZuname()

      Zuname / Familienname der Patientin.
      Format: maximal 70-Zeichen
      Angabe: Muss.
      Returns:
        Freitext Zuname

    - #### setZuname

          public void setZuname(String zuname)

    - #### getTyp

          public String getTyp()

      Typ der Meldung.
      Mögliche Werte: siehe `MeldungstypConstants`
      Angabe: Muss.
      Returns:

    - #### setTyp

          public void setTyp(String typ)

    - #### isStorniert

          public boolean isStorniert()

      Gibt an, ob es sich um eine stornierte Meldung handelt.
      Angabe: Muss.
      Returns:

    - #### setStorniert

          public void setStorniert(boolean storniert)